Subject: Re: [OPSAWG] TSV ART IETF LC review of draft-ietf-opsawg-capwap-alt-tunnel

From: Warren Kumari <[email-masked]>
Date: Mon, 3 Oct 2016 17:49:53 -0400

[ - Discuss, tsv-art (first for clutter, second because I'm not subscribed) ]
Dear authors,

I just wanted to make sure that you had seen these are well...

W

On Mon, Sep 26, 2016 at 5:36 PM, Joe Touch <[email-masked]> wrote:
> CC'ing tsv-art...
>
>
> On 9/26/2016 2:34 PM, Joe Touch wrote:
>
> Hi, all,
>
> I've reviewed this document as part of the Transport Area Review Team's
> (TSVART) ongoing effort to review key IETF documents. These comments were
> written primarily for the transport area directors, but are copied to the
> document's authors for their information and to allow them to address any
> issues raised. When done at the time of IETF Last Call, the authors should
> consider this review together with any other last-call comments they
> receive. Please always CC [email-masked] if you reply to or forward this
> review.
>
> Please resolve these comments along with any other Last Call comments you
> may receive. Please wait for direction from your document shepherd or AD
> before posting a new version of the draft.
>
> Document: draft-ietf-opsawg-capwap-alt-tunnel
> Title: Alternate Tunnel Encapsulation for Data Frames in CAPWAP
> Reviewer: J. Touch
> Review Date: Sept 26, 2016
> IETF Last Call Date: Sept 16, 2016
>
> Summary: This doc refers to existing tunneling specifications, many of which
> are inconsistent or incorrect. In particular, there are potential
> complicatinos with MTU support and signalling that could affect transport
> protocols.
>
> Major issues:
>
> As already noted in draft-intarea-tunnels, many existing tunnel mechanisms
> are inconsistent or incorrect in their support for IPv6 MTU requirements,
> both as transits for IP packets and as IP endpoints. Although this document
> cites existing standards, the inconsistency and incorrectness of these
> standards should be addressed. It might be sufficient to indicate that any
> tunneling mechanism selected MUST support the minimum IPv6 MTU requirements
> independent of this signalling mechanism (i.e, the signalling mechanism
> doesn't address or correct any errors or inconsistencies in the tunnel
> mechanism selected).
>
> Regarding IP endpoint requirements, it might be useful to consider whether
> this protocol could be extended to indicate the receiver payload reassembly
> limit when indicating support for each tunnel type, to assist the source in
> determining whether the resulting tunnel will be IPv6 compliant (rather than
> becoming a black hole for valid packet sizes).
>
> Additionally, for the transport protocol-based tunnels, it would be useful
> to consider whether the protocol could indicate not only the endpoint IP
> address but the port number as well.
>
> Minor issues:
>
> It might be useful to consider IPsec TLS, and DTLS tunnels as well as those
> already listed.
>
> ---
>
>

-- 
I don't think the execution is relevant when it was obviously a bad
idea in the first place.
This is like putting rabid weasels in your pants, and later expressing
regret at having chosen those particular rabid weasels and that pair
of pants.
   ---maf

---

From: Duzongpeng <[email-masked]>
Date: Tue, 18 Oct 2016 07:48:32 +0000

Hello, Joe

	Although not as an author of the draft, I would like to talk about your suggestions.

	Please see inline. 

Best Regards
Zongpeng Du

> Major issues:
>
> As already noted in draft-intarea-tunnels, many existing tunnel 
> mechanisms are inconsistent or incorrect in their support for IPv6 MTU 
> requirements, both as transits for IP packets and as IP endpoints. 
> Although this document cites existing standards, the inconsistency and 
> incorrectness of these standards should be addressed. It might be 
> sufficient to indicate that any tunneling mechanism selected MUST 
> support the minimum IPv6 MTU requirements independent of this 
> signalling mechanism (i.e, the signalling mechanism doesn't address or 
> correct any errors or inconsistencies in the tunnel mechanism selected).
>
[duzongpeng] 
Would it ok if the authors add a section to declare that every tunneling mechanism 
MUST support the minimum IPv6 MTU requirements said in "draft-ietf-intarea-tunnels-03"

If the draft, the tunnel between the WTP and Access Router needs to be established, and the WTP and AC already have a CAPWAP connection.
According to the tunneling mechanism supported, MTU information perhaps can be computed by the AR.
AC can have the information, and inform the WTP in the "Tunnel Info Element" field. 
[duzongpeng]

> Regarding IP endpoint requirements, it might be useful to consider 
> whether this protocol could be extended to indicate the receiver 
> payload reassembly limit when indicating support for each tunnel type, 
> to assist the source in determining whether the resulting tunnel will 
> be IPv6 compliant (rather than becoming a black hole for valid packet sizes).
>

[duzongpeng] 
Is it the same information talked above? 
I think it is flexible to indicate something in the "Tunnel Info Element" field.
If you can provide detailed modification suggestions, perhaps the author will be glad to accept it.
BTW, I have also given some suggestions to the draft.
[duzongpeng]

> Additionally, for the transport protocol-based tunnels, it would be 
> useful to consider whether the protocol could indicate not only the 
> endpoint IP address but the port number as well.
>

[duzongpeng] 
If any tunnel type needs this port information, it should be ok to carry it in the "Tunnel Info Element" field.
[duzongpeng]

> Minor issues:
>
> It might be useful to consider IPsec TLS, and DTLS tunnels as well as 
> those already listed.

[duzongpeng] 
According to my understanding, it is ok to add some tunnel types. 
However, the authors have decided to only talk some essential ones in this draft, and perhaps talk about others in latter drafts if necessary.
[duzongpeng]

-----Original Message-----
From: OPSAWG [mailto:[email-masked]] On Behalf Of Warren Kumari
Sent: Tuesday, October 04, 2016 5:50 AM
To: Joe Touch
Cc: [email-masked]; [email-masked]
Subject: Re: [OPSAWG] TSV ART IETF LC review of draft-ietf-opsawg-capwap-alt-tunnel

[ - Discuss, tsv-art (first for clutter, second because I'm not subscribed) ] Dear authors,

W

On Mon, Sep 26, 2016 at 5:36 PM, Joe Touch <[email-masked]> wrote:
> (TSVART) ongoing effort to review key IETF documents. These comments 
> were written primarily for the transport area directors, but are 
> copied to the document's authors for their information and to allow 
> them to address any issues raised. When done at the time of IETF Last 
> Call, the authors should consider this review together with any other 
> last-call comments they receive. Please always CC [email-masked] if 
> you reply to or forward this review.
>
> Please resolve these comments along with any other Last Call comments 
> you may receive. Please wait for direction from your document shepherd 
> or AD before posting a new version of the draft.
>
> Summary: This doc refers to existing tunneling specifications, many of 
> which are inconsistent or incorrect. In particular, there are 
> potential complicatinos with MTU support and signalling that could 
> affect transport protocols.
>
> Major issues:
>
> As already noted in draft-intarea-tunnels, many existing tunnel 
> mechanisms are inconsistent or incorrect in their support for IPv6 MTU 
> requirements, both as transits for IP packets and as IP endpoints. 
> Although this document cites existing standards, the inconsistency and 
> incorrectness of these standards should be addressed. It might be 
> sufficient to indicate that any tunneling mechanism selected MUST 
> support the minimum IPv6 MTU requirements independent of this 
> signalling mechanism (i.e, the signalling mechanism doesn't address or 
> correct any errors or inconsistencies in the tunnel mechanism selected).
>
> Regarding IP endpoint requirements, it might be useful to consider 
> whether this protocol could be extended to indicate the receiver 
> payload reassembly limit when indicating support for each tunnel type, 
> to assist the source in determining whether the resulting tunnel will 
> be IPv6 compliant (rather than becoming a black hole for valid packet sizes).
>
> Additionally, for the transport protocol-based tunnels, it would be 
> useful to consider whether the protocol could indicate not only the 
> endpoint IP address but the port number as well.
>
> Minor issues:
>
> It might be useful to consider IPsec TLS, and DTLS tunnels as well as 
> those already listed.
>
> ---
>
>

--
I don't think the execution is relevant when it was obviously a bad idea in the first place.
This is like putting rabid weasels in your pants, and later expressing regret at having chosen those particular rabid weasels and that pair of pants.
   ---maf

_______________________________________________
OPSAWG mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/opsawg